package vn.azteam.tpf.service.dto;

import java.io.Serializable;

/**
 * A DTO for the ActivityCropStatus entity.
 */
public class DevicesDTO implements Serializable {

    private Long id;

    private String name;

    private Long tbEquipmentId;

    private String status;

    private String serial;

    private LocationDevicesDTO location;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTbEquipmentId() {
        return tbEquipmentId;
    }

    public void setTbEquipmentId(Long tbEquipmentId) {
        this.tbEquipmentId = tbEquipmentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public LocationDevicesDTO getLocation() {
        return location;
    }

    public void setLocation(LocationDevicesDTO location) {
        this.location = location;
    }

}
